#!/bin/bash

awk 'BEGIN {OFS = "\t" }
{   t = substr($NF, 2, length($NF)-2)
    times[$3] += t
    counts[$3]++
}
END {
    for (k in times)
        print counts[k], times[k], k
}' \
  "$@" | sort -nr | head -50
